from django import forms
from .models import Leave
from account.models import Account


class LeaveRequestForm(forms.ModelForm):
    class Meta:
        model = Leave
        fields = ['startdate', 'enddate', 'leavetype', 'reason']
        widgets = {
            'startdate': forms.DateInput(attrs={'type': 'date'}),
            'enddate': forms.DateInput(attrs={'type': 'date'}),
        }


class AdminLeaveCreationForm(LeaveRequestForm):
    user = forms.ModelChoiceField(queryset=Account.objects.all())

    class Meta(LeaveRequestForm.Meta):
        fields = ['user'] + LeaveRequestForm.Meta.fields
